.wrap--main {
  min-height: 700px;
  padding: 295px 0 24px;
  display: flex;
  align-items: flex-end;
}

.wrap--main::before {
  content: "";
  display: block;
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background: linear-gradient(
    180deg,
    rgba(103, 14, 231, 0) 45.57%,
    rgba(76, 23, 157, 0.6) 64.62%,
    #30204f 97.28%
  );
  background-blend-mode: multiply;
  mix-blend-mode: multiply;
  opacity: 1;
  z-index: 1;
}

.wrap--main::after {
  height: 100px;
  background: radial-gradient(
    43.44% 100% at 50% 100%,
    #2d1d48 0%,
    rgba(45, 29, 72, 0) 100%
  );
  mix-blend-mode: normal;
  opacity: 0.7;
  content: "";
  width: 100%;
  display: block;
  left: 0;
  bottom: 0;
  position: absolute;
}

.overlay--hidden:before {
  display: none;
}

.wrap--main figure,
.wrap--main picture,
.wrap--main .wp-block-video {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
}

.wrap--main figure img,
.wrap--main figure video,
.wrap--main .wp-block-video video {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
}
.wrap--main picture img {
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
}

@media only screen and (min-width: 1000px) {
  .wrap--main {
    min-height: 100vh;
    padding: 200px 0 45px;
    display: flex;
  }
  .wrap--main .container {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
  }
}
